net.minecraft.world.gen.structure

## Class ComponentScatteredFeaturePieces.JunglePyramid

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentScatteredFeaturePieces.JunglePyramid

- Enclosing class:
    ComponentScatteredFeaturePieces

      public static class ComponentScatteredFeaturePieces.JunglePyramid
      extends StructureComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_74936_d`
    `static WeightedRandomChestContent[]` | `junglePyramidsChestContents`
    `static WeightedRandomChestContent[]` | `junglePyramidsDispenserContents`
    `protected int` | `scatteredFeatureSizeX`
    `protected int` | `scatteredFeatureSizeY`
    `protected int` | `scatteredFeatureSizeZ`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentScatteredFeaturePieces.JunglePyramid()`
    `ComponentScatteredFeaturePieces.JunglePyramid(java.util.Random par1Random, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox)`
    `protected void` | `func_143011_b(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_143012_a(NBTTagCompound par1NBTTagCompound)`
    `protected boolean` | `func_74935_a(World par1World, StructureBoundingBox par2StructureBoundingBox, int par3)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, clearCurrentPositionBlocksUpwards, fillWithAir, fillWithBlocks, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, func_151554_b, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeBlockAtCurrentPosition, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### junglePyramidsChestContents

          public static final WeightedRandomChestContent[] junglePyramidsChestContents

    - #### junglePyramidsDispenserContents

          public static final WeightedRandomChestContent[] junglePyramidsDispenserContents

    - #### scatteredFeatureSizeX

          protected int scatteredFeatureSizeX

    - #### scatteredFeatureSizeY

          protected int scatteredFeatureSizeY

    - #### scatteredFeatureSizeZ

          protected int scatteredFeatureSizeZ

    - #### field_74936_d

          protected int field_74936_d

  - ### Constructor Detail

    - #### ComponentScatteredFeaturePieces.JunglePyramid

          public ComponentScatteredFeaturePieces.JunglePyramid()

    - #### ComponentScatteredFeaturePieces.JunglePyramid

          public ComponentScatteredFeaturePieces.JunglePyramid(java.util.Random par1Random,
                                                       int par2,
                                                       int par3)

  - ### Method Detail

    - #### func_143012_a

          protected void func_143012_a(NBTTagCompound par1NBTTagCompound)

    - #### func_143011_b

          protected void func_143011_b(NBTTagCompound par1NBTTagCompound)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  java.util.Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      Specified by:
        `addComponentParts` in class `StructureComponent`

    - #### func_74935_a

          protected boolean func_74935_a(World par1World,
                             StructureBoundingBox par2StructureBoundingBox,
                             int par3)